Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client
Class HttpConnection

    java.lang.Object
      org.mortbay.jetty.client.HttpConnection

All Implemented Interfaces:
  Connection

    public class HttpConnection

extends java.lang.Object
implements Connection

Author:
  Greg Wilkins, Guillaume Nodet

Field Summary
`boolean` | `_reserved`

Method Summary
`boolean` | `cancelIdleTimeout()`
`void` | `close()`
`void` | `dump()`
`HttpDestination` | `getDestination()`
`EndPoint` | `getEndPoint()`
`void` | `handle()`
`boolean` | `isIdle()`
`boolean` | `isReserved()`
`protected void` | `reset(boolean returnBuffers)`
`boolean` | `send(HttpExchange ex)`
`void` | `setDestination(HttpDestination destination)`
`void` | `setIdleTimeout()`
`void` | `setReserved(boolean reserved)`
`java.lang.String` | `toDetailString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _reserved

    public boolean _reserved

Method Detail

### dump

    public void dump()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### setReserved

    public void setReserved(boolean reserved)

### isReserved

    public boolean isReserved()

### getDestination

    public HttpDestination getDestination()

### setDestination

    public void setDestination(HttpDestination destination)

### send

    public boolean send(HttpExchange ex)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### handle

    public void handle()
                throws java.io.IOException

  Specified by:
    `handle` in interface `Connection`
  Throws:
    `java.io.IOException`

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Connection`

### getEndPoint

    public EndPoint getEndPoint()

### reset

    protected void reset(boolean returnBuffers)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toDetailString

    public java.lang.String toDetailString()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setIdleTimeout

    public void setIdleTimeout()

### cancelIdleTimeout

    public boolean cancelIdleTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.